#ifndef WIN32

#include <GL/glut.h>
#include "World.h"

World* world;

void display()
{
	world->Render();
	glFlush();
}

void timer( int val )
{
	world->Step();
	glutPostRedisplay();
	glutTimerFunc( 100, timer, 0 );
}

int main( int argc, char** argv )
{
	world = new World( 600, 600 );

	glutCreateWindow( "Garden" );
	glutReshapeWindow( 600, 600 );
	glClearColor( 0, 0, 0, 0 );

	glutDisplayFunc( display );
	glutTimerFunc( 1, timer, 0 );
	glutMainLoop();

	return 0;
}

#endif
